Raspberry BASIC

Raspberry BASIC => General Discussion => Topic started by: John Spikowski on January 01, 2021, 09:22:16 am

Title: WiringPi
Post by: John Spikowski on January 01, 2021, 09:22:16 am
It seems that WiringPi doesn't work with the RPi 4b 8GB.

Code: [Select]
ubuntu@rpi4b:~$ sudo gpio readall
Oops - unable to determine board type... model: 17
ubuntu@rpi4b:~$
Title: Re: WiringPi
Post by: John Spikowski on January 01, 2021, 10:52:38 am
Quote from: Gordon@RPi
Just a quick post to let you know that you?ll need a new wiringPi for the Raspberry Pi 4B.

To upgrade:

cd /tmp
wget https://project-downloads.drogon.net/wiringpi-latest.deb
sudo dpkg -i wiringpi-latest.deb

Check with:

gpio -v

and make sure it?s version 2.52. I?ll push the updated sources shortly.

It will hopefully be part of the official release soon, but for now this will do.

-Gordon
Title: Re: WiringPi
Post by: John Spikowski on January 05, 2021, 08:22:51 am
Unfortunately for me this update is for the 32 bit RPi OS.  :-\


ubuntu@rpi4b:~$ sudo dpkg -i wiringpi-latest.deb
dpkg: error processing archive wiringpi-latest.deb (--install):
 package architecture (armhf) does not match system (arm64)
Errors were encountered while processing:
 wiringpi-latest.deb
ubuntu@rpi4b:~$

Title: Re: WiringPi
Post by: John Spikowski on January 08, 2021, 12:34:29 am
After contacting Godon about my 64 bit WiringPi issue there doesn't seem to be a path to a solution. I have no interest developing for 32 bits under Linux any more so I'm going cease support for the ScriptBasic WiringPi extension module.

I hope to find a replacement in the future.

Title: Re: WiringPi
Post by: John Spikowski on January 12, 2021, 07:07:19 am
I think I may have found a replacement for WiringPi. I'm not sure if it will compile on 64 bit OSs but sounds promising. I'll update this thread when I have time to give it a try.

lg library (http://abyz.me.uk/lg/index.html)